Module java.desktop
Package javax.swing.plaf.basic

# Class BasicInternalFrameTitlePane.TitlePaneLayout

java.lang.Object
javax.swing.plaf.basic.BasicInternalFrameTitlePane.TitlePaneLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  BasicInternalFrameTitlePane

    public class BasicInternalFrameTitlePane.TitlePaneLayout
    extends Object
    implements LayoutManager

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TitlePaneLayout()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.LayoutManager

`addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

## Constructor Details

### TitlePaneLayout

public TitlePaneLayout()